Bug 1014738 - Review Request: python-astropy - A Community Python Library for Astronomy
Review Request: python-astropy - A Community Python Library for Astronomy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 12:07 EDT by Sergio Pascual
Modified: 2014-03-13 00:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-16 11:35:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
build.log -- FTBFS on rawhide (345.72 KB, text/x-log)
2013-10-19 11:44 EDT, Björn "besser82" Esser
no flags Details

  None (edit)
Description Sergio Pascual 2013-10-02 12:07:55 EDT
Spec URL: http://guaix.fis.ucm.es/~spr/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-astropy-0.2.4-1.fc19.src.rpm
Description: 
The Astropy project is a common effort to develop a single core package 
for Astronomy.  Major packages such as PyFITS, PyWCS, vo, and asciitable 
already merged in, and many more components being worked on. In 
particular, we are developing imaging, photometric, and spectroscopic 
functionality, as well as frameworks for cosmology, unit handling, and 
coordinate transformations.
Fedora Account System Username: sergiopr
Comment 1 Sergio Pascual 2013-10-02 12:14:40 EDT
Some comments

astropy-0.2.4 comes with SOFA[1], a non free library by the IAU. It has been substituted by ERFA[2] in the development repository and I have backported the changes to this version, so it uses ERFA instead.

It has other bundled libraries, I have removed them except cfitsio for f20+.[3], where the version of cfitsio is incompatible with astropy.

The python3 subpackage is possible, but it's broken due to some bugs [4], [5]


[1] http://www.iausofa.org/
[2] https://github.com/liberfa/erfa
[3] https://github.com/astropy/astropy/issues/1504
[4] https://bugzilla.redhat.com/show_bug.cgi?id=1014665
[5] https://bugzilla.redhat.com/show_bug.cgi?id=1014505
Comment 2 Sergio Pascual 2013-10-11 06:44:16 EDT
Spec URL: http://guaix.fis.ucm.es/~spr/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-astropy-0.2.4-2.fc19.src.rpm

The bundled cfistio library in f20+ has been removed. It uses now system libraries. When python3-configobject reaches stable I will enable de python3 package
Comment 3 Mario Blättermann 2013-10-15 09:58:17 EDT
Requires: /usr/bin/xmllint

Why not use libxml2 instead of this hardcoded path? If you prefer, you might even use a simple "xmllint". Paths can change in the future, but rpm has the capability to find xmllint anyway.
Comment 4 Björn "besser82" Esser 2013-10-19 05:39:34 EDT
taken  ;)
Comment 5 Björn "besser82" Esser 2013-10-19 11:44:24 EDT
Created attachment 814039 [details]
build.log -- FTBFS on rawhide

FTBFS on rawhide!!!  See attached build.log  :(
Comment 6 Christian Dersch 2013-10-19 11:56:05 EDT
I'm doing an informal review, thank you very much for packaging astropy :) It doesn't build in mock with rawhide x86_64, so I used mock with f20 x86_64 to build.

Notes:
- There are header files in /usr/lib64/python2.7/site-packages/astropy/wcs/include/ which shouldn't be required at runtime.


*** Output from fedora-review ***
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/astropy_wcs.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/astropy_wcs_api.h
  python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/distortion.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/distortion_wrap.h
  python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/docstrings.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/isnan.h python-
  astropy : /usr/lib64/python2.7/site-packages/astropy/wcs/include/pipeline.h
  python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/pyutil.h python-astropy : /usr/lib64/python2.7
  /site-packages/astropy/wcs/include/sip.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/sip_wrap.h python-
  astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/str_list_proxy.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/unit_list_proxy.h
  python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/util.h python-astropy : /usr/lib64/python2.7
  /site-packages/astropy/wcs/include/wcsconfig.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_tabprm_wrap.h
  python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/wcslib_units_wrap.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_wrap.h python-
  astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/wcslib_wtbarr_wrap.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 328 files
     have unknown license. Detailed output of licensecheck in
     /home/christian/1014738-python-astropy/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/python2.7/site-
     packages/astropy/units(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/fits/scripts(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/extern/ply(astropy), /usr/lib64/python2.7/site-
     packages/astropy/utils(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/fits/tests/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/fits(astropy), /usr/lib64/python2.7/site-
     packages/astropy/sphinx/ext(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/misc/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/table/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs(astropy), /usr/lib64/python2.7/site-
     packages/astropy/cosmology(astropy), /usr/lib64/python2.7/site-
     packages/astropy/nddata(astropy), /usr/lib64/python2.7/site-
     packages/astropy/coordinates(astropy), /usr/lib64/python2.7/site-
     packages/astropy/sphinx/ext/templates/autosummary_core(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/fits/hdu(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io(astropy),
     /usr/lib64/python2.7/site-packages/astropy/utils/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/constants(astropy),
     /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/vizier(astropy), /usr/lib64/python2.7
     /site-packages/astropy/sphinx/themes/bootstrap-astropy/static(astropy),
     /usr/lib64/python2.7/site-packages/astropy/time(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/misc(astropy),
     /usr/lib64/python2.7/site-packages/astropy/units/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/wcs/tests/spectra(astropy),
     /usr/lib64/python2.7/site-
     packages/astropy/io/votable/tests/data(astropy), /usr/lib64/python2.7
     /site-packages/astropy/config(astropy), /usr/lib64/python2.7/site-
     packages/astropy/units/format(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/cds/multi(astropy),
     /usr/lib64/python2.7/site-packages/astropy/time/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/themes/bootstrap-
     astropy(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t(astropy), /usr/lib64/python2.7/site-
     packages/astropy/tests/tests/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable/validator/urls(astropy), /usr/lib64/python2.7
     /site-packages/astropy/utils/tests/data(astropy), /usr/lib64/python2.7
     /site-packages/astropy/constants/tests(astropy), /usr/lib64/python2.7
     /site-packages/astropy/extern(astropy), /usr/lib64/python2.7/site-
     packages/astropy/cosmology/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/config/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/cds/glob(astropy), /usr/lib64/python2.7
     /site-packages/astropy(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable/validator(astropy), /usr/lib64/python2.7
     /site-packages/astropy/io/fits/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/nddata/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy-0.2.4-py2.7.egg-info(astropy), /usr/lib64/python2.7
     /site-packages/astropy/tests/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/nddata/convolution/tests(astropy), /usr/lib64/python2.7
     /site-packages/astropy/nddata/convolution(astropy), /usr/lib64/python2.7
     /site-packages/astropy/stats/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/cds(astropy), /usr/lib64/python2.7
     /site-packages/astropy/coordinates/tests(astropy), /usr/lib64/python2.7
     /site-packages/astropy/stats(astropy), /usr/lib64/python2.7/site-
     packages/astropy/utils/compat(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs/tests/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs/tests/maps(astropy), /usr/lib64/python2.7/site-
     packages/astropy/table(astropy), /usr/lib64/python2.7/site-
     packages/astropy/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/coordinates/tests/accuracy(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/ascii(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/ext/templates(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/votable/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/themes(astropy),
     /usr/lib64/python2.7/site-packages/astropy/wcs/include(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/ext/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/utils/xml(astropy)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     astropy-doc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-astropy-0.2.4-2.fc20.x86_64.rpm
          python-astropy-doc-0.2.4-2.fc20.noarch.rpm
          python-astropy-0.2.4-2.fc20.src.rpm
python-astropy.x86_64: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.x86_64: W: incoherent-version-in-changelog 0.2.4-3 ['0.2.4-2.fc20', '0.2.4-2']
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/sip.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_units_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_wtbarr_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/astropy_wcs_api.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/isnan.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/docstrings.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/distortion_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/distortion.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_tabprm_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/sip_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/unit_list_proxy.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/str_list_proxy.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcsconfig.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/pyutil.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/util.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/pipeline.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/astropy_wcs.h
python-astropy.x86_64: W: no-manual-page-for-binary volint
python-astropy-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-astropy-doc/html/.buildinfo
python-astropy.src: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.src: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.src: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.src: W: strange-permission generate-tarball.sh 0775L
python-astropy.src:14: W: macro-in-comment %{upname}
python-astropy.src:14: W: macro-in-comment %{version}
python-astropy.src:158: W: macro-in-comment %{__python3}
python-astropy.src:178: W: macro-in-comment %{__python3}
python-astropy.src: W: invalid-url Source0: astropy-0.2.4-nosofa.tar.gz
3 packages and 0 specfiles checked; 0 errors, 33 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-astropy-doc python-astropy
python-astropy-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-astropy-doc/html/.buildinfo
python-astropy.x86_64: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.x86_64: W: incoherent-version-in-changelog 0.2.4-3 ['0.2.4-2.fc20', '0.2.4-2']
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/sip.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_units_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_wtbarr_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/astropy_wcs_api.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/isnan.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/docstrings.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/distortion_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/distortion.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_tabprm_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/sip_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/unit_list_proxy.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/str_list_proxy.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcsconfig.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/pyutil.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/util.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/pipeline.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/astropy_wcs.h
python-astropy.x86_64: W: no-manual-page-for-binary volint
2 packages and 0 specfiles checked; 0 errors, 24 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-astropy-doc (rpmlib, GLIBC filtered):

python-astropy (rpmlib, GLIBC filtered):
    /usr/bin/python
    /usr/bin/xmllint
    h5py
    libc.so.6()(64bit)
    libcfitsio.so.1()(64bit)
    liberfa.so.0()(64bit)
    libexpat.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libwcs.so.4()(64bit)
    numpy
    pytest
    python(abi)
    python-configobj
    rtld(GNU_HASH)
    scipy



Provides
--------
python-astropy-doc:
    python-astropy-doc

python-astropy:
    python-astropy
    python-astropy(x86-64)



Unversioned so-files
--------------------
python-astropy: /usr/lib64/python2.7/site-packages/astropy/io/fits/compression.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/io/votable/tablewriter.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_extend.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_fill.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_none.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_wrap.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/time/sofa_time.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/utils/_compiler.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/utils/xml/_iterparser.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/wcs/_wcs.so

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-20-x86_64 -b 1014738
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 7 Christian Dersch 2013-10-19 11:56:25 EDT
I'm doing an informal review, thank you very much for packaging astropy :) It doesn't build in mock with rawhide x86_64, so I used mock with f20 x86_64 to build.

Notes:
- There are header files in /usr/lib64/python2.7/site-packages/astropy/wcs/include/ which shouldn't be required at runtime.


*** Output from fedora-review ***
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/astropy_wcs.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/astropy_wcs_api.h
  python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/distortion.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/distortion_wrap.h
  python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/docstrings.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/isnan.h python-
  astropy : /usr/lib64/python2.7/site-packages/astropy/wcs/include/pipeline.h
  python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/pyutil.h python-astropy : /usr/lib64/python2.7
  /site-packages/astropy/wcs/include/sip.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/sip_wrap.h python-
  astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/str_list_proxy.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/unit_list_proxy.h
  python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/util.h python-astropy : /usr/lib64/python2.7
  /site-packages/astropy/wcs/include/wcsconfig.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_tabprm_wrap.h
  python-astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/wcslib_units_wrap.h python-astropy :
  /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_wrap.h python-
  astropy : /usr/lib64/python2.7/site-
  packages/astropy/wcs/include/wcslib_wtbarr_wrap.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 328 files
     have unknown license. Detailed output of licensecheck in
     /home/christian/1014738-python-astropy/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/python2.7/site-
     packages/astropy/units(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/fits/scripts(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/extern/ply(astropy), /usr/lib64/python2.7/site-
     packages/astropy/utils(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/fits/tests/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/fits(astropy), /usr/lib64/python2.7/site-
     packages/astropy/sphinx/ext(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/misc/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/table/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs(astropy), /usr/lib64/python2.7/site-
     packages/astropy/cosmology(astropy), /usr/lib64/python2.7/site-
     packages/astropy/nddata(astropy), /usr/lib64/python2.7/site-
     packages/astropy/coordinates(astropy), /usr/lib64/python2.7/site-
     packages/astropy/sphinx/ext/templates/autosummary_core(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/fits/hdu(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io(astropy),
     /usr/lib64/python2.7/site-packages/astropy/utils/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/constants(astropy),
     /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/vizier(astropy), /usr/lib64/python2.7
     /site-packages/astropy/sphinx/themes/bootstrap-astropy/static(astropy),
     /usr/lib64/python2.7/site-packages/astropy/time(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/misc(astropy),
     /usr/lib64/python2.7/site-packages/astropy/units/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/wcs/tests/spectra(astropy),
     /usr/lib64/python2.7/site-
     packages/astropy/io/votable/tests/data(astropy), /usr/lib64/python2.7
     /site-packages/astropy/config(astropy), /usr/lib64/python2.7/site-
     packages/astropy/units/format(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/cds/multi(astropy),
     /usr/lib64/python2.7/site-packages/astropy/time/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/themes/bootstrap-
     astropy(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t(astropy), /usr/lib64/python2.7/site-
     packages/astropy/tests/tests/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable/validator/urls(astropy), /usr/lib64/python2.7
     /site-packages/astropy/utils/tests/data(astropy), /usr/lib64/python2.7
     /site-packages/astropy/constants/tests(astropy), /usr/lib64/python2.7
     /site-packages/astropy/extern(astropy), /usr/lib64/python2.7/site-
     packages/astropy/cosmology/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/config/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/cds/glob(astropy), /usr/lib64/python2.7
     /site-packages/astropy(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable/validator(astropy), /usr/lib64/python2.7
     /site-packages/astropy/io/fits/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/nddata/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy-0.2.4-py2.7.egg-info(astropy), /usr/lib64/python2.7
     /site-packages/astropy/tests/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/nddata/convolution/tests(astropy), /usr/lib64/python2.7
     /site-packages/astropy/nddata/convolution(astropy), /usr/lib64/python2.7
     /site-packages/astropy/stats/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/cds(astropy), /usr/lib64/python2.7
     /site-packages/astropy/coordinates/tests(astropy), /usr/lib64/python2.7
     /site-packages/astropy/stats(astropy), /usr/lib64/python2.7/site-
     packages/astropy/utils/compat(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs/tests/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs/tests/maps(astropy), /usr/lib64/python2.7/site-
     packages/astropy/table(astropy), /usr/lib64/python2.7/site-
     packages/astropy/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/coordinates/tests/accuracy(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/ascii(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/ext/templates(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/votable/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/themes(astropy),
     /usr/lib64/python2.7/site-packages/astropy/wcs/include(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/ext/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/utils/xml(astropy)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     astropy-doc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-astropy-0.2.4-2.fc20.x86_64.rpm
          python-astropy-doc-0.2.4-2.fc20.noarch.rpm
          python-astropy-0.2.4-2.fc20.src.rpm
python-astropy.x86_64: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.x86_64: W: incoherent-version-in-changelog 0.2.4-3 ['0.2.4-2.fc20', '0.2.4-2']
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/sip.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_units_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_wtbarr_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/astropy_wcs_api.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/isnan.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/docstrings.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/distortion_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/distortion.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_tabprm_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/sip_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/unit_list_proxy.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/str_list_proxy.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcsconfig.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/pyutil.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/util.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/pipeline.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/astropy_wcs.h
python-astropy.x86_64: W: no-manual-page-for-binary volint
python-astropy-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-astropy-doc/html/.buildinfo
python-astropy.src: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.src: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.src: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.src: W: strange-permission generate-tarball.sh 0775L
python-astropy.src:14: W: macro-in-comment %{upname}
python-astropy.src:14: W: macro-in-comment %{version}
python-astropy.src:158: W: macro-in-comment %{__python3}
python-astropy.src:178: W: macro-in-comment %{__python3}
python-astropy.src: W: invalid-url Source0: astropy-0.2.4-nosofa.tar.gz
3 packages and 0 specfiles checked; 0 errors, 33 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-astropy-doc python-astropy
python-astropy-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-astropy-doc/html/.buildinfo
python-astropy.x86_64: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.x86_64: W: incoherent-version-in-changelog 0.2.4-3 ['0.2.4-2.fc20', '0.2.4-2']
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/sip.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_units_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_wtbarr_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/astropy_wcs_api.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/isnan.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/docstrings.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/distortion_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/distortion.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_tabprm_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/sip_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/unit_list_proxy.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/str_list_proxy.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcslib_wrap.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/wcsconfig.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/pyutil.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/util.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/pipeline.h
python-astropy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/astropy/wcs/include/astropy_wcs.h
python-astropy.x86_64: W: no-manual-page-for-binary volint
2 packages and 0 specfiles checked; 0 errors, 24 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-astropy-doc (rpmlib, GLIBC filtered):

python-astropy (rpmlib, GLIBC filtered):
    /usr/bin/python
    /usr/bin/xmllint
    h5py
    libc.so.6()(64bit)
    libcfitsio.so.1()(64bit)
    liberfa.so.0()(64bit)
    libexpat.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libwcs.so.4()(64bit)
    numpy
    pytest
    python(abi)
    python-configobj
    rtld(GNU_HASH)
    scipy



Provides
--------
python-astropy-doc:
    python-astropy-doc

python-astropy:
    python-astropy
    python-astropy(x86-64)



Unversioned so-files
--------------------
python-astropy: /usr/lib64/python2.7/site-packages/astropy/io/fits/compression.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/io/votable/tablewriter.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_extend.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_fill.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_none.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_wrap.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/time/sofa_time.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/utils/_compiler.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/utils/xml/_iterparser.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/wcs/_wcs.so

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-20-x86_64 -b 1014738
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 8 Sergio Pascual 2013-10-22 18:07:05 EDT
(In reply to Mario Blättermann from comment #3)
> Requires: /usr/bin/xmllint
> 
> Why not use libxml2 instead of this hardcoded path? If you prefer, you might
> even use a simple "xmllint". Paths can change in the future, but rpm has the
> capability to find xmllint anyway.

I didn't know RPM could do that...
Comment 9 Sergio Pascual 2013-10-22 18:10:51 EDT
Updated RPM

Spec URL: http://guaix.fis.ucm.es/~spr/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-astropy-0.2.4-4.fc20.src.rpm

* pytest in fedora >= 20 breaks the tests, I have disabled the tests for those
  https://groups.google.com/forum/#!topic/astropy-dev/Otddr6bWGhQ

* enabled python3 package (the docs are copied though, there's a bug in python3 sphinx https://bugzilla.redhat.com/show_bug.cgi?id=1014505)

* C headers go to a -devel subpackage
Comment 10 Mario Blättermann 2013-10-23 13:23:11 EDT
(In reply to Sergio Pascual from comment #8)
> (In reply to Mario Blättermann from comment #3)
> > Requires: /usr/bin/xmllint
> > 
> > Why not use libxml2 instead of this hardcoded path? If you prefer, you might
> > even use a simple "xmllint". Paths can change in the future, but rpm has the
> > capability to find xmllint anyway.
> 
> I didn't know RPM could do that...

RPM parses the "Provides:" tags of the packages. This way it will find xmllint as part of the package libxml2.
Comment 11 Michael Schwendt 2013-10-23 13:45:07 EDT
Sounds unusual. Never have heard about that before. Or am I misreading it?

  # repoquery --whatprovides xmllint
  #

Nothing provides "xmllint". 

If the dependency is "Requires: libxml2" and /usr/bin/xmllint moves to another package, you've lost. A dependency on the specific executable path is more strict and more flexible at the same time. Plus, executable paths are covered by the primary metadata.
Comment 12 Sergio Pascual 2013-10-28 05:51:57 EDT
New upstream source

Spec URL: http://guaix.fis.ucm.es/~spr/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-astropy-0.2.5-1.fc20.src.rpm
Comment 13 Christian Dersch 2013-10-30 11:26:19 EDT
I'm performing one more informal review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 331 files
     have unknown license. Detailed output of licensecheck in
     /home/rpmbuild/1014738-python-astropy/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/python2.7/site-
     packages/astropy/units(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/fits/scripts(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/extern/ply(astropy), /usr/lib64/python2.7/site-
     packages/astropy/utils(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/fits/tests/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/fits(astropy), /usr/lib64/python2.7/site-
     packages/astropy/sphinx/ext(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/misc/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/table/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs(astropy), /usr/lib64/python2.7/site-
     packages/astropy/cosmology(astropy), /usr/lib64/python2.7/site-
     packages/astropy/nddata(astropy), /usr/lib64/python2.7/site-
     packages/astropy/coordinates(astropy), /usr/lib64/python2.7/site-
     packages/astropy/sphinx/ext/templates/autosummary_core(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/fits/hdu(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io(astropy),
     /usr/lib64/python2.7/site-packages/astropy/utils/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/constants(astropy),
     /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/vizier(astropy), /usr/lib64/python2.7
     /site-packages/astropy/sphinx/themes/bootstrap-astropy/static(astropy),
     /usr/lib64/python2.7/site-packages/astropy/time(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/misc(astropy),
     /usr/lib64/python2.7/site-packages/astropy/units/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/wcs/tests/spectra(astropy),
     /usr/lib64/python2.7/site-
     packages/astropy/io/votable/tests/data(astropy), /usr/lib64/python2.7
     /site-packages/astropy/config(astropy), /usr/lib64/python2.7/site-
     packages/astropy/units/format(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/cds/multi(astropy),
     /usr/lib64/python2.7/site-packages/astropy/time/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/themes/bootstrap-
     astropy(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t(astropy), /usr/lib64/python2.7/site-
     packages/astropy/tests/tests/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable/validator/urls(astropy), /usr/lib64/python2.7
     /site-packages/astropy/utils/tests/data(astropy), /usr/lib64/python2.7
     /site-packages/astropy/constants/tests(astropy), /usr/lib64/python2.7
     /site-packages/astropy/extern(astropy), /usr/lib64/python2.7/site-
     packages/astropy/cosmology/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/config/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/cds/glob(astropy), /usr/lib64/python2.7
     /site-packages/astropy(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/votable/validator(astropy), /usr/lib64/python2.7
     /site-packages/astropy/io/fits/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/nddata/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/tests/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/nddata/convolution/tests(astropy), /usr/lib64/python2.7
     /site-packages/astropy/nddata/convolution(astropy), /usr/lib64/python2.7
     /site-packages/astropy/stats/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/io/ascii/tests/t/cds(astropy), /usr/lib64/python2.7
     /site-packages/astropy/coordinates/tests(astropy), /usr/lib64/python2.7
     /site-packages/astropy/stats(astropy), /usr/lib64/python2.7/site-
     packages/astropy/utils/compat(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs/tests/data(astropy), /usr/lib64/python2.7/site-
     packages/astropy/wcs/tests/maps(astropy), /usr/lib64/python2.7/site-
     packages/astropy/table(astropy), /usr/lib64/python2.7/site-
     packages/astropy/tests(astropy), /usr/lib64/python2.7/site-
     packages/astropy/coordinates/tests/accuracy(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/ascii(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/ext/templates(astropy),
     /usr/lib64/python2.7/site-packages/astropy/io/votable/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/themes(astropy),
     /usr/lib64/python2.7/site-packages/astropy/wcs/include(astropy),
     /usr/lib64/python2.7/site-packages/astropy/sphinx/ext/tests(astropy),
     /usr/lib64/python2.7/site-packages/astropy/utils/xml(astropy)

==> Maybe a false positive because there already is a package "astropy" in my private repository. I will check this later and report.


[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     astropy-doc , python3-astropy , python3-astropy-doc , python3-astropy-
     devel
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-astropy-0.2.5-1.fc21.x86_64.rpm
          python-astropy-doc-0.2.5-1.fc21.noarch.rpm
          python-astropy-devel-0.2.5-1.fc21.x86_64.rpm
          python3-astropy-0.2.5-1.fc21.x86_64.rpm
          python3-astropy-doc-0.2.5-1.fc21.noarch.rpm
          python3-astropy-devel-0.2.5-1.fc21.x86_64.rpm
          python-astropy-0.2.5-1.fc21.src.rpm
python-astropy.x86_64: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.x86_64: E: zero-length /usr/lib64/python2.7/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python-astropy.x86_64: W: no-manual-page-for-binary volint
python-astropy-devel.x86_64: W: no-documentation
python3-astropy.x86_64: W: spelling-error %description -l en_US vo -> co, vi, v
python3-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python3-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python3-astropy.x86_64: E: zero-length /usr/lib64/python3.3/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python3-astropy.x86_64: W: no-manual-page-for-binary volint
python3-astropy-devel.x86_64: W: no-documentation
python-astropy.src: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.src: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.src: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.src: W: strange-permission generate-tarball.sh 0775L
python-astropy.src:11: W: macro-in-comment %{upname}
python-astropy.src:11: W: macro-in-comment %{version}
python-astropy.src:175: W: macro-in-comment %{__python3}
python-astropy.src: W: invalid-url Source0: astropy-0.2.5-nosofa.tar.gz
7 packages and 0 specfiles checked; 2 errors, 18 warnings.

==> Seem to be false positives


Rpmlint (installed packages)
----------------------------
# rpmlint python-astropy python3-astropy python3-astropy-doc python-astropy-doc python3-astropy-devel python-astropy-devel
python-astropy.x86_64: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.x86_64: E: zero-length /usr/lib64/python2.7/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python-astropy.x86_64: W: no-manual-page-for-binary volint
python3-astropy.x86_64: W: spelling-error %description -l en_US vo -> co, vi, v
python3-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python3-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python3-astropy.x86_64: E: zero-length /usr/lib64/python3.3/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python3-astropy.x86_64: W: no-manual-page-for-binary volint
python3-astropy-devel.x86_64: W: no-documentation
python-astropy-devel.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 2 errors, 10 warnings.
# echo 'rpmlint-done:'

==> Seem to be false positives



Requires
--------
python-astropy (rpmlib, GLIBC filtered):
    /usr/bin/python3
    /usr/bin/xmllint
    h5py
    libc.so.6()(64bit)
    libcfitsio.so.1()(64bit)
    liberfa.so.0()(64bit)
    libexpat.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libwcs.so.4()(64bit)
    numpy
    pytest
    python(abi)
    python-configobj
    rtld(GNU_HASH)
    scipy

python3-astropy (rpmlib, GLIBC filtered):
    /usr/bin/python3
    /usr/bin/xmllint
    libc.so.6()(64bit)
    libcfitsio.so.1()(64bit)
    liberfa.so.0()(64bit)
    libexpat.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.3m.so.1.0()(64bit)
    libwcs.so.4()(64bit)
    python(abi)
    python3-configobj
    python3-h5py
    python3-numpy
    python3-pytest
    python3-scipy
    rtld(GNU_HASH)

python3-astropy-doc (rpmlib, GLIBC filtered):

python-astropy-doc (rpmlib, GLIBC filtered):

python3-astropy-devel (rpmlib, GLIBC filtered):
    python3-astropy(x86-64)

python-astropy-devel (rpmlib, GLIBC filtered):
    python-astropy(x86-64)



Provides
--------
python-astropy:
    python-astropy
    python-astropy(x86-64)

python3-astropy:
    python3-astropy
    python3-astropy(x86-64)

python3-astropy-doc:
    python3-astropy-doc

python-astropy-doc:
    python-astropy-doc

python3-astropy-devel:
    python3-astropy-devel
    python3-astropy-devel(x86-64)

python-astropy-devel:
    python-astropy-devel
    python-astropy-devel(x86-64)



Unversioned so-files
--------------------
python-astropy: /usr/lib64/python2.7/site-packages/astropy/io/fits/compression.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/io/votable/tablewriter.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_extend.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_fill.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_none.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/nddata/convolution/boundary_wrap.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/time/sofa_time.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/utils/_compiler.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/utils/xml/_iterparser.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/wcs/_wcs.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/io/fits/compression.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/io/votable/tablewriter.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/nddata/convolution/boundary_extend.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/nddata/convolution/boundary_fill.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/nddata/convolution/boundary_none.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/nddata/convolution/boundary_wrap.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/time/sofa_time.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/utils/_compiler.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/utils/xml/_iterparser.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/wcs/_wcs.cpython-33m.so

==> This is normal for c-compiled python plugins, should be false positive



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1014738
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 14 Sergio Pascual 2013-11-05 09:10:55 EST
New upstream source

Spec URL: http://guaix.fis.ucm.es/~spr/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-astropy-0.3-0.1.b1.fc20.src.rpm

This is the first beta of astropy 0.3. It will be released soon (next week probably)
Comment 15 Christian Dersch 2013-11-05 12:59:36 EST
Hi,
looks nice :) Output from fedora-review looks fine too:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 425 files
     have unknown license. Detailed output of licensecheck in
     /home/christian/1014738-python-astropy/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     astropy-doc , python3-astropy , python3-astropy-doc , python3-astropy-
     devel
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-astropy-0.3-0.1.b1.fc21.x86_64.rpm
          python-astropy-doc-0.3-0.1.b1.fc21.noarch.rpm
          python-astropy-devel-0.3-0.1.b1.fc21.x86_64.rpm
          python3-astropy-0.3-0.1.b1.fc21.x86_64.rpm
          python3-astropy-doc-0.3-0.1.b1.fc21.noarch.rpm
          python3-astropy-devel-0.3-0.1.b1.fc21.x86_64.rpm
          python-astropy-0.3-0.1.b1.fc21.src.rpm
python-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.x86_64: E: zero-length /usr/lib64/python2.7/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python-astropy.x86_64: W: no-manual-page-for-binary volint
python-astropy.x86_64: W: no-manual-page-for-binary wcslint
python-astropy-devel.x86_64: W: no-documentation
python3-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python3-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python3-astropy.x86_64: E: zero-length /usr/lib64/python3.3/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python3-astropy.x86_64: W: no-manual-page-for-binary volint
python3-astropy.x86_64: W: no-manual-page-for-binary wcslint
python3-astropy-devel.x86_64: W: no-documentation
python-astropy.src: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.src: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.src: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.src:162: W: macro-in-comment %{__python3}
7 packages and 0 specfiles checked; 2 errors, 14 warnings.

=====> Should be false positive




Rpmlint (installed packages)
----------------------------
# rpmlint python-astropy python3-astropy python3-astropy-doc python-astropy-doc python3-astropy-devel python-astropy-devel
python-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.x86_64: E: zero-length /usr/lib64/python2.7/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python-astropy.x86_64: W: no-manual-page-for-binary volint
python-astropy.x86_64: W: no-manual-page-for-binary wcslint
python3-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python3-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python3-astropy.x86_64: E: zero-length /usr/lib64/python3.3/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python3-astropy.x86_64: W: no-manual-page-for-binary volint
python3-astropy.x86_64: W: no-manual-page-for-binary wcslint
python3-astropy-devel.x86_64: W: no-documentation
python-astropy-devel.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 2 errors, 10 warnings.
# echo 'rpmlint-done:'
#

=====> Should be false positive



Requires
--------
python-astropy (rpmlib, GLIBC filtered):
    /usr/bin/python3
    /usr/bin/xmllint
    h5py
    libc.so.6()(64bit)
    libcfitsio.so.1()(64bit)
    liberfa.so.0()(64bit)
    libexpat.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libwcs.so.4()(64bit)
    numpy
    pytest
    python(abi)
    python-configobj
    python-six
    rtld(GNU_HASH)
    scipy

python3-astropy (rpmlib, GLIBC filtered):
    /usr/bin/python3
    /usr/bin/xmllint
    libc.so.6()(64bit)
    libcfitsio.so.1()(64bit)
    liberfa.so.0()(64bit)
    libexpat.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.3m.so.1.0()(64bit)
    libwcs.so.4()(64bit)
    python(abi)
    python3-configobj
    python3-h5py
    python3-numpy
    python3-pytest
    python3-scipy
    rtld(GNU_HASH)

python3-astropy-doc (rpmlib, GLIBC filtered):

python-astropy-doc (rpmlib, GLIBC filtered):

python3-astropy-devel (rpmlib, GLIBC filtered):
    python3-astropy(x86-64)

python-astropy-devel (rpmlib, GLIBC filtered):
    python-astropy(x86-64)



Provides
--------
python-astropy:
    python-astropy
    python-astropy(x86-64)

python3-astropy:
    python3-astropy
    python3-astropy(x86-64)

python3-astropy-doc:
    python3-astropy-doc

python-astropy-doc:
    python-astropy-doc

python3-astropy-devel:
    python3-astropy-devel
    python3-astropy-devel(x86-64)

python-astropy-devel:
    python-astropy-devel
    python-astropy-devel(x86-64)



Unversioned so-files
--------------------
python-astropy: /usr/lib64/python2.7/site-packages/astropy/convolution/boundary_extend.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/convolution/boundary_fill.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/convolution/boundary_none.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/convolution/boundary_wrap.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/io/fits/compression.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/io/votable/tablewriter.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/table/_np_utils.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/time/erfa_time.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/utils/_compiler.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/utils/xml/_iterparser.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/wcs/_wcs.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/convolution/boundary_extend.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/convolution/boundary_fill.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/convolution/boundary_none.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/convolution/boundary_wrap.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/io/fits/compression.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/io/votable/tablewriter.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/table/_np_utils.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/time/erfa_time.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/utils/_compiler.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/utils/xml/_iterparser.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/wcs/_wcs.cpython-33m.so

=====> Should be ok (confirm my last review)

Source checksums
----------------
https://testpypi.python.org/packages/source/a/astropy/astropy-0.3b1.tar.gz :
  CHECKSUM(SHA256) this package     : 6761273a3d700307ee59907adee28e3883e3f409a92cf12bba0d69172e41ad33
  CHECKSUM(SHA256) upstream package : 6761273a3d700307ee59907adee28e3883e3f409a92cf12bba0d69172e41ad33


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1014738
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 16 Michael Schwendt 2013-11-05 17:57:20 EST
* Please don't dump _unedited_ fedora-review output into review tickets. You are supposed to complete all empty '[ ]' tests in the output, and trimming the output to items that are '[!]' would be very helpful.


* How are the two -devel package supposed to work? They contain exactly the same headers, but only in different paths. The headers are stored below Python search path for modules. What mechanism will be used in the C code to determine that path? And since there are only headers, how does it work? Is there any example that uses these headers already? Or will it be sufficient to include the headers in the base package?


> %exclude %{_bindir}/fitsdiff
> %exclude %{_bindir}/fitscheck

Why are they excluded?


> -rwxr-xr-x  /usr/bin/volint
> -rwxr-xr-x  /usr/bin/wcslint

These are included in both the Python package and the Python 3 based package. But in python-astropy, the files contain a /usr/bin/python3 shebang. -> blocker!
And with a corrected shebang, the packages would conflict. -> blocker!

$ rpm -qpR python-astropy-0.3-0.1.b1.fc21.x86_64.rpm |grep bin
/usr/bin/python3
/usr/bin/xmllint
Comment 17 Christian Dersch 2013-11-05 18:27:47 EST
(In reply to Michael Schwendt from comment #16)
> * Please don't dump _unedited_ fedora-review output into review tickets. You
> are supposed to complete all empty '[ ]' tests in the output, and trimming
> the output to items that are '[!]' would be very helpful. 

Sorry, these are my very first informal reviews :) I edited the output, but just by adding comments such as "=====> Should be false positive"

> > %exclude %{_bindir}/fitsdiff
> > %exclude %{_bindir}/fitscheck
> 
> Why are they excluded?

These files are also part of the pyfits package. Would be a conflict then.
Comment 18 Sergio Pascual 2013-11-06 11:59:44 EST
(In reply to Michael Schwendt from comment #16)

> * How are the two -devel package supposed to work? 
I honestly do not know so I have asked upstream. astropy should provide something like 'numpy.get_include' to be able to get the headers but I can't find it in the source code.

I can remove the -devel packages and do as numpy does, with all the devel files in the main package, but I would like to know the reviewer's opinion.

Strangely enough, numpy package provides a symlink from /usr/include/numpy to 
$libdir/python2.7/site-packages/numpy/core/include/numpy 

I don't know how this linking plays well with different architectures (having both numpy.i686 and numpy.x86_64) or stacks (python2-numpy and python3-numpy)

> 
> 
> > %exclude %{_bindir}/fitsdiff
> > %exclude %{_bindir}/fitscheck
> 
> Why are they excluded?
> 

As Christian said, these are in pyfits also. astropy is meant to replace pyfits, but it is not a drop in replacement. I do not want to start playing with Conflicts at this point si I exclude them.

> 
> > -rwxr-xr-x  /usr/bin/volint
> > -rwxr-xr-x  /usr/bin/wcslint
> 
> These are included in both the Python package and the Python 3 based
> package. But in python-astropy, the files contain a /usr/bin/python3
> shebang. -> blocker!
> And with a corrected shebang, the packages would conflict. -> blocker!
> 
> $ rpm -qpR python-astropy-0.3-0.1.b1.fc21.x86_64.rpm |grep bin
> /usr/bin/python3
> /usr/bin/xmllint

Yes, I overlooked this. It seems that 'install_scripts' in setup.py overwrites the shebang if you install the same script from different stacks. Python3 always wins in this case. It should be fixed now.

I have added a new subpackage astropy-tools with the scripts. I will allow to ease the tranasition from python2 to python3 and from pyfits to astropy.

Spec URL: http://guaix.fis.ucm.es/~spr/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-astropy-0.3-0.2.b1.fc20.src.rpm


BTW, this builds in rawhide but not in F20, as python3-configobj hasn't been pushed to stable yet due to the Beta freeze.
Comment 19 Sergio Pascual 2013-11-19 09:43:49 EST
New upstream, this is the first release candidate of 0.3

Spec URL: http://guaix.fis.ucm.es/~spr/fedora/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/fedora/python-astropy-0.3-0.3.rc1.fc20.src.rpm
Comment 20 Sergio Pascual 2013-11-25 06:21:53 EST
New upstream, astropy 0.3 final

Spec URL: http://guaix.fis.ucm.es/~spr/fedora/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/fedora/python-astropy-0.3-1.fc20.src.rpm
Comment 21 Sergio Pascual 2013-11-25 18:13:10 EST
I wolud like to have this reviewed before F20 is released. Is it possible?
Comment 22 Sergio Pascual 2013-12-02 08:56:26 EST
As there are no comments from the reviewer in the last month, I'm starting the stalled review process

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
Comment 23 Christian Dersch 2013-12-04 09:17:04 EST
Hi,

I performed another (right now informal) review, looks fine imho :) As I'm new to reviewing
packages, I'm unsure about some points (marked with [?] => not evaluated).

Greetings,
Christian


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[?]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 425 files
     have unknown license. Detailed output of licensecheck in
     /home/rpmbuild/1014738-python-astropy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     astropy-doc , python3-astropy , python3-astropy-doc , python3-astropy-
     devel , astropy-tools
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-astropy-0.3-1.fc21.x86_64.rpm
          python-astropy-doc-0.3-1.fc21.noarch.rpm
          python-astropy-devel-0.3-1.fc21.x86_64.rpm
          python3-astropy-0.3-1.fc21.x86_64.rpm
          python3-astropy-doc-0.3-1.fc21.noarch.rpm
          python3-astropy-devel-0.3-1.fc21.x86_64.rpm
          astropy-tools-0.3-1.fc21.noarch.rpm
          python-astropy-0.3-1.fc21.src.rpm
python-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.x86_64: E: zero-length /usr/lib64/python2.7/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python-astropy-devel.x86_64: W: no-documentation
python3-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python3-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python3-astropy.x86_64: E: zero-length /usr/lib64/python3.3/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python3-astropy-devel.x86_64: W: no-documentation
astropy-tools.noarch: W: no-documentation
astropy-tools.noarch: W: no-manual-page-for-binary volint
astropy-tools.noarch: W: no-manual-page-for-binary wcslint
python-astropy.src: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.src: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.src: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.src:165: W: macro-in-comment %{__python3}
8 packages and 0 specfiles checked; 2 errors, 13 warnings.

==> Should be ok




Rpmlint (installed packages)
----------------------------
# rpmlint python-astropy python3-astropy python3-astropy-doc python-astropy-doc astropy- 
tools python3-astropy-devel python-astropy-devel
python-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.x86_64: E: zero-length /usr/lib64/python2.7/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python3-astropy.x86_64: W: spelling-error %description -l en_US asciitable -> ascertainable
python3-astropy.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python3-astropy.x86_64: E: zero-length /usr/lib64/python3.3/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
astropy-tools.noarch: W: no-documentation
astropy-tools.noarch: W: no-manual-page-for-binary volint
astropy-tools.noarch: W: no-manual-page-for-binary wcslint
python3-astropy-devel.x86_64: W: no-documentation
python-astropy-devel.x86_64: W: no-documentation
7 packages and 0 specfiles checked; 2 errors, 9 warnings.
# echo 'rpmlint-done:'

==> Should be ok


Requires
--------
python-astropy (rpmlib, GLIBC filtered):
    /usr/bin/xmllint
    h5py
    libc.so.6()(64bit)
    libcfitsio.so.1()(64bit)
    liberfa.so.1()(64bit)
    libexpat.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libwcs.so.4()(64bit)
    numpy
    pytest
    python(abi)
    python-configobj
    python-six
    rtld(GNU_HASH)
    scipy

python3-astropy (rpmlib, GLIBC filtered):
    /usr/bin/xmllint
    libc.so.6()(64bit)
    libcfitsio.so.1()(64bit)
    liberfa.so.1()(64bit)
    libexpat.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.3m.so.1.0()(64bit)
    libwcs.so.4()(64bit)
    python(abi)
    python3-configobj
    python3-h5py
    python3-numpy
    python3-pytest
    python3-scipy
    rtld(GNU_HASH)

python3-astropy-doc (rpmlib, GLIBC filtered):

python-astropy-doc (rpmlib, GLIBC filtered):

astropy-tools (rpmlib, GLIBC filtered):
    /usr/bin/python
    python-astropy

python3-astropy-devel (rpmlib, GLIBC filtered):
    python3-astropy(x86-64)

python-astropy-devel (rpmlib, GLIBC filtered):
    python-astropy(x86-64)



Provides
--------
python-astropy:
    python-astropy
    python-astropy(x86-64)

python3-astropy:
    python3-astropy
    python3-astropy(x86-64)

python3-astropy-doc:
    python3-astropy-doc

python-astropy-doc:
    python-astropy-doc

astropy-tools:
    astropy-tools

python3-astropy-devel:
    python3-astropy-devel
    python3-astropy-devel(x86-64)

python-astropy-devel:
    python-astropy-devel
    python-astropy-devel(x86-64)



Unversioned so-files
--------------------
python-astropy: /usr/lib64/python2.7/site-packages/astropy/convolution/boundary_extend.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/convolution/boundary_fill.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/convolution/boundary_none.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/convolution/boundary_wrap.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/io/fits/compression.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/io/votable/tablewriter.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/table/_np_utils.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/time/erfa_time.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/utils/_compiler.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/utils/xml/_iterparser.so
python-astropy: /usr/lib64/python2.7/site-packages/astropy/wcs/_wcs.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/convolution/boundary_extend.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/convolution/boundary_fill.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/convolution/boundary_none.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/convolution/boundary_wrap.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/io/fits/compression.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/io/votable/tablewriter.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/table/_np_utils.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/time/erfa_time.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/utils/_compiler.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/utils/xml/_iterparser.cpython-33m.so
python3-astropy: /usr/lib64/python3.3/site-packages/astropy/wcs/_wcs.cpython-33m.so

==> Normal for python packages


Source checksums
----------------
http://pypi.python.org/packages/source/a/astropy/astropy-0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 6c827ed074c1bc83fb0c8909f3c1293531e84a7920c9418747b75c676f60f2d6
  CHECKSUM(SHA256) upstream package : 6c827ed074c1bc83fb0c8909f3c1293531e84a7920c9418747b75c676f60f2d6


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1014738
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 24 Sergio Pascual 2013-12-09 09:03:48 EST
After a week with no comments from the reviewer, I'm going to reset the review as per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
Comment 25 Sergio Pascual 2014-01-01 18:14:44 EST
Any progress with this?
Comment 26 Christopher Meng 2014-01-03 00:34:15 EST
I will use 0.5.1 to generate a report again soon.
Comment 27 Christopher Meng 2014-01-03 05:32:20 EST
rawhide python-pillow is ill, please wait.
Comment 28 Christopher Meng 2014-01-04 23:26:19 EST
Failed at %check: http://ur1.ca/gc45y

Caused by new hdf5 version in Rawhide.
Comment 29 Sergio Pascual 2014-01-05 13:55:10 EST
It may be due to h5py not being rebuilt
Comment 30 Sergio Pascual 2014-01-05 13:59:28 EST
I have disabled the HDF version check. The checks still pass

Spec URL: http://guaix.fis.ucm.es/~spr/fedora/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/fedora/python-astropy-0.3-2.fc19.src.rpm
Comment 31 Orion Poplawski 2014-01-05 22:35:05 EST
h5py-2.2.1-2.fc21 has been rebuilt with hdf5 1.8.12 and should fix that issue.
Comment 32 Christopher Meng 2014-01-10 00:59:44 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 425 files
     have unknown license. Detailed output of licensecheck:

BSD (2 clause)
--------------
python3-python-astropy-0.3-1.fc21/astropy/extern/ply/lex.py
python3-python-astropy-0.3-1.fc21/astropy/extern/ply/yacc.py

BSD (3 clause)
--------------
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/basic.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/cds.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/core.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/daophot.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/fixedwidth.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/ipac.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/latex.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/sextractor.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/ui.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/src/compressionmodule.c

Unknown or generated
--------------------
python3-python-astropy-0.3-1.fc21/astropy/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/config/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/config/affiliated.py
python3-python-astropy-0.3-1.fc21/astropy/config/configuration.py
python3-python-astropy-0.3-1.fc21/astropy/config/paths.py
python3-python-astropy-0.3-1.fc21/astropy/config/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/config/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/config/tests/test_configs.py
python3-python-astropy-0.3-1.fc21/astropy/conftest.py
python3-python-astropy-0.3-1.fc21/astropy/constants/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/constants/cgs.py
python3-python-astropy-0.3-1.fc21/astropy/constants/constant.py
python3-python-astropy-0.3-1.fc21/astropy/constants/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/constants/si.py
python3-python-astropy-0.3-1.fc21/astropy/constants/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/constants/tests/test_constant.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/boundary_extend.c
python3-python-astropy-0.3-1.fc21/astropy/convolution/boundary_extend.pyx
python3-python-astropy-0.3-1.fc21/astropy/convolution/boundary_fill.c
python3-python-astropy-0.3-1.fc21/astropy/convolution/boundary_fill.pyx
python3-python-astropy-0.3-1.fc21/astropy/convolution/boundary_none.c
python3-python-astropy-0.3-1.fc21/astropy/convolution/boundary_none.pyx
python3-python-astropy-0.3-1.fc21/astropy/convolution/boundary_wrap.c
python3-python-astropy-0.3-1.fc21/astropy/convolution/boundary_wrap.pyx
python3-python-astropy-0.3-1.fc21/astropy/convolution/convolve.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/core.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/kernels.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/tests/test_convolve.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/tests/test_convolve_fft.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/tests/test_convolve_kernels.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/tests/test_convolve_speeds.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/tests/test_discretize.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/tests/test_kernel_class.py
python3-python-astropy-0.3-1.fc21/astropy/convolution/utils.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/angle_lextab.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/angle_parsetab.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/angle_utilities.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/angles.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/builtin_systems.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/coordsystems.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/distances.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/earth_orientation.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/errors.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/matching.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/name_resolve.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/old_builtin_systems_names.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/accuracy/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/accuracy/generate_ref_ast.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/accuracy/test_fk4_no_e_fk4.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/accuracy/test_fk4_no_e_fk5.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/accuracy/test_galactic_fk4.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/accuracy/test_icrs_fk5.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/test_angles.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/test_angular_separation.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/test_api.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/test_arrays.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/test_distance.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/test_formatting.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/test_matching.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/test_name_resolve.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/tests/test_transformations.py
python3-python-astropy-0.3-1.fc21/astropy/coordinates/transformations.py
python3-python-astropy-0.3-1.fc21/astropy/cosmology/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/cosmology/core.py
python3-python-astropy-0.3-1.fc21/astropy/cosmology/funcs.py
python3-python-astropy-0.3-1.fc21/astropy/cosmology/parameters.py
python3-python-astropy-0.3-1.fc21/astropy/cosmology/tests/test_cosmology.py
python3-python-astropy-0.3-1.fc21/astropy/cython_version.py
python3-python-astropy-0.3-1.fc21/astropy/extern/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/extern/ply/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/extern/ply/cpp.py
python3-python-astropy-0.3-1.fc21/astropy/extern/ply/ctokens.py
python3-python-astropy-0.3-1.fc21/astropy/extern/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/io/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/connect.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/common.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/t/latex1.tex
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/t/latex2.tex
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/test_cds_header_from_readme.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/test_compressed.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/test_connect.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/test_fixedwidth.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/test_ipac_definitions.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/test_read.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/test_types.py
python3-python-astropy-0.3-1.fc21/astropy/io/ascii/tests/test_write.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/card.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/column.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/connect.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/convenience.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/diff.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/file.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/fitsrec.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/hdu/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/hdu/base.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/hdu/compressed.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/hdu/groups.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/hdu/hdulist.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/hdu/image.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/hdu/nonstandard.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/hdu/streaming.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/hdu/table.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/header.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/py3compat.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/scripts/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/scripts/fitscheck.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/scripts/fitsdiff.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/src/compressionmodule.h
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/cfitsio_verify.c
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_checksum.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_connect.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_core.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_diff.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_division.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_groups.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_hdulist.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_header.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_image.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_nonstandard.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_structured.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_table.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_uint.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/test_util.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/tests/util.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/util.py
python3-python-astropy-0.3-1.fc21/astropy/io/fits/verify.py
python3-python-astropy-0.3-1.fc21/astropy/io/misc/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/misc/connect.py
python3-python-astropy-0.3-1.fc21/astropy/io/misc/hdf5.py
python3-python-astropy-0.3-1.fc21/astropy/io/misc/pickle_helpers.py
python3-python-astropy-0.3-1.fc21/astropy/io/misc/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/misc/tests/test_hdf5.py
python3-python-astropy-0.3-1.fc21/astropy/io/misc/tests/test_pickle_helpers.py
python3-python-astropy-0.3-1.fc21/astropy/io/registry.py
python3-python-astropy-0.3-1.fc21/astropy/io/tests/test_registry.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/connect.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/converters.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/data/VOTable.dtd
python3-python-astropy-0.3-1.fc21/astropy/io/votable/exceptions.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/src/tablewriter.c
python3-python-astropy-0.3-1.fc21/astropy/io/votable/table.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/tests/converter_test.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/tests/exception_test.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/tests/table_test.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/tests/tree_test.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/tests/ucd_test.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/tests/util_test.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/tests/vo_test.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/tree.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/ucd.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/util.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/validator/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/validator/html.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/validator/main.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/validator/result.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/voexceptions.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/volint.py
python3-python-astropy-0.3-1.fc21/astropy/io/votable/xmlutil.py
python3-python-astropy-0.3-1.fc21/astropy/logger.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/core.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/fitting.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/functional_models.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/models.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/parameters.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/polynomial.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/powerlaws.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/projections.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/rotations.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/data/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/example_models.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/irafutil.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/test_constraints.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/test_fitters.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/test_functional_models.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/test_input.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/test_models.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/test_parameters.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/test_projections.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/tests/test_rotations.py
python3-python-astropy-0.3-1.fc21/astropy/modeling/utils.py
python3-python-astropy-0.3-1.fc21/astropy/nddata/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/nddata/flag_collection.py
python3-python-astropy-0.3-1.fc21/astropy/nddata/nddata.py
python3-python-astropy-0.3-1.fc21/astropy/nddata/nduncertainty.py
python3-python-astropy-0.3-1.fc21/astropy/nddata/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/nddata/tests/test_flag_collection.py
python3-python-astropy-0.3-1.fc21/astropy/nddata/tests/test_nddata.py
python3-python-astropy-0.3-1.fc21/astropy/setup_helpers.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/conf.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/astropyautosummary.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/automodapi.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/automodsumm.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/comment_eater.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/compiler_unparse.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/docscrape.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/docscrape_sphinx.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/edit_on_github.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/numpydoc.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/phantom_import.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/tests/test_automodapi.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/tests/test_automodsumm.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/tocdepthfix.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/ext/traitsdoc.py
python3-python-astropy-0.3-1.fc21/astropy/sphinx/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/stats/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/stats/funcs.py
python3-python-astropy-0.3-1.fc21/astropy/stats/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/stats/tests/test_funcs.py
python3-python-astropy-0.3-1.fc21/astropy/table/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/table/_np_utils.c
python3-python-astropy-0.3-1.fc21/astropy/table/_np_utils.pyx
python3-python-astropy-0.3-1.fc21/astropy/table/groups.py
python3-python-astropy-0.3-1.fc21/astropy/table/jsviewer.py
python3-python-astropy-0.3-1.fc21/astropy/table/np_utils.py
python3-python-astropy-0.3-1.fc21/astropy/table/operations.py
python3-python-astropy-0.3-1.fc21/astropy/table/pprint.py
python3-python-astropy-0.3-1.fc21/astropy/table/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/table/table.py
python3-python-astropy-0.3-1.fc21/astropy/table/tests/test_column.py
python3-python-astropy-0.3-1.fc21/astropy/table/tests/test_groups.py
python3-python-astropy-0.3-1.fc21/astropy/table/tests/test_init_table.py
python3-python-astropy-0.3-1.fc21/astropy/table/tests/test_item_access.py
python3-python-astropy-0.3-1.fc21/astropy/table/tests/test_masked.py
python3-python-astropy-0.3-1.fc21/astropy/table/tests/test_np_utils.py
python3-python-astropy-0.3-1.fc21/astropy/table/tests/test_operations.py
python3-python-astropy-0.3-1.fc21/astropy/table/tests/test_pprint.py
python3-python-astropy-0.3-1.fc21/astropy/table/tests/test_row.py
python3-python-astropy-0.3-1.fc21/astropy/table/tests/test_table.py
python3-python-astropy-0.3-1.fc21/astropy/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/tests/helper.py
python3-python-astropy-0.3-1.fc21/astropy/tests/pytest_plugins.py
python3-python-astropy-0.3-1.fc21/astropy/tests/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/tests/test_logger.py
python3-python-astropy-0.3-1.fc21/astropy/tests/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/tests/tests/run_after_2to3.py
python3-python-astropy-0.3-1.fc21/astropy/tests/tests/test_imports.py
python3-python-astropy-0.3-1.fc21/astropy/tests/tests/test_open_file_detection.py
python3-python-astropy-0.3-1.fc21/astropy/tests/tests/test_run_tests.py
python3-python-astropy-0.3-1.fc21/astropy/tests/tests/test_skip_remote_data.py
python3-python-astropy-0.3-1.fc21/astropy/time/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/time/core.py
python3-python-astropy-0.3-1.fc21/astropy/time/erfa_time.c
python3-python-astropy-0.3-1.fc21/astropy/time/erfa_time.pyx
python3-python-astropy-0.3-1.fc21/astropy/time/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/time/tests/test_basic.py
python3-python-astropy-0.3-1.fc21/astropy/time/tests/test_comparisons.py
python3-python-astropy-0.3-1.fc21/astropy/time/tests/test_delta.py
python3-python-astropy-0.3-1.fc21/astropy/time/tests/test_guess.py
python3-python-astropy-0.3-1.fc21/astropy/time/tests/test_precision.py
python3-python-astropy-0.3-1.fc21/astropy/time/tests/test_quantity_interaction.py
python3-python-astropy-0.3-1.fc21/astropy/time/tests/test_ut1.py
python3-python-astropy-0.3-1.fc21/astropy/units/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/units/astrophys.py
python3-python-astropy-0.3-1.fc21/astropy/units/cds.py
python3-python-astropy-0.3-1.fc21/astropy/units/cgs.py
python3-python-astropy-0.3-1.fc21/astropy/units/core.py
python3-python-astropy-0.3-1.fc21/astropy/units/equivalencies.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/base.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/cds.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/cds_lextab.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/cds_parsetab.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/console.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/fits.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/generic.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/generic_lextab.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/generic_parsetab.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/latex.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/unicode_format.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/utils.py
python3-python-astropy-0.3-1.fc21/astropy/units/format/vounit.py
python3-python-astropy-0.3-1.fc21/astropy/units/imperial.py
python3-python-astropy-0.3-1.fc21/astropy/units/physical.py
python3-python-astropy-0.3-1.fc21/astropy/units/quantity.py
python3-python-astropy-0.3-1.fc21/astropy/units/quantity_helper.py
python3-python-astropy-0.3-1.fc21/astropy/units/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/units/si.py
python3-python-astropy-0.3-1.fc21/astropy/units/tests/test_equivalencies.py
python3-python-astropy-0.3-1.fc21/astropy/units/tests/test_format.py
python3-python-astropy-0.3-1.fc21/astropy/units/tests/test_physical.py
python3-python-astropy-0.3-1.fc21/astropy/units/tests/test_quantity.py
python3-python-astropy-0.3-1.fc21/astropy/units/tests/test_quantity_array_methods.py
python3-python-astropy-0.3-1.fc21/astropy/units/tests/test_quantity_non_ufuncs.py
python3-python-astropy-0.3-1.fc21/astropy/units/tests/test_quantity_ufuncs.py
python3-python-astropy-0.3-1.fc21/astropy/units/tests/test_units.py
python3-python-astropy-0.3-1.fc21/astropy/units/utils.py
python3-python-astropy-0.3-1.fc21/astropy/utils/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/collections.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/_argparse_py2/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/_fractions_py2/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/_gzip_py2/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/_odict_py2/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/_subprocess_py2/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/argparse.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/fractions.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/futures/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/futures/_base.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/futures/process.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/futures/thread.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/gzip.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/misc.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/odict.py
python3-python-astropy-0.3-1.fc21/astropy/utils/compat/subprocess.py
python3-python-astropy-0.3-1.fc21/astropy/utils/console.py
python3-python-astropy-0.3-1.fc21/astropy/utils/data.py
python3-python-astropy-0.3-1.fc21/astropy/utils/exceptions.py
python3-python-astropy-0.3-1.fc21/astropy/utils/iers/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/iers/iers.py
python3-python-astropy-0.3-1.fc21/astropy/utils/iers/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/iers/tests/test_iers.py
python3-python-astropy-0.3-1.fc21/astropy/utils/metadata.py
python3-python-astropy-0.3-1.fc21/astropy/utils/misc.py
python3-python-astropy-0.3-1.fc21/astropy/utils/release.py
python3-python-astropy-0.3-1.fc21/astropy/utils/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/utils/src/compiler.c
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/data/test_package/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/odict_mapping.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/odict_support.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/test_collections.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/test_console.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/test_data.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/test_gzip.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/test_metadata.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/test_misc.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/test_odict.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/test_timer.py
python3-python-astropy-0.3-1.fc21/astropy/utils/tests/test_xml.py
python3-python-astropy-0.3-1.fc21/astropy/utils/timer.py
python3-python-astropy-0.3-1.fc21/astropy/utils/xml/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/utils/xml/check.py
python3-python-astropy-0.3-1.fc21/astropy/utils/xml/iterparser.py
python3-python-astropy-0.3-1.fc21/astropy/utils/xml/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/utils/xml/src/expat_config.h
python3-python-astropy-0.3-1.fc21/astropy/utils/xml/src/iterparse.c
python3-python-astropy-0.3-1.fc21/astropy/utils/xml/unescaper.py
python3-python-astropy-0.3-1.fc21/astropy/utils/xml/validate.py
python3-python-astropy-0.3-1.fc21/astropy/utils/xml/writer.py
python3-python-astropy-0.3-1.fc21/astropy/version.py
python3-python-astropy-0.3-1.fc21/astropy/version_helpers.py
python3-python-astropy-0.3-1.fc21/astropy/vo/client/async.py
python3-python-astropy-0.3-1.fc21/astropy/vo/client/conesearch.py
python3-python-astropy-0.3-1.fc21/astropy/vo/client/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/vo/client/tests/test_vo.py
python3-python-astropy-0.3-1.fc21/astropy/vo/client/vos_catalog.py
python3-python-astropy-0.3-1.fc21/astropy/vo/validator/inspect.py
python3-python-astropy-0.3-1.fc21/astropy/vo/validator/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/vo/validator/tests/test_validate.py
python3-python-astropy-0.3-1.fc21/astropy/vo/validator/tstquery.py
python3-python-astropy-0.3-1.fc21/astropy/vo/validator/validate.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/_docutil.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/docstrings.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/astropy_wcs.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/astropy_wcs_api.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/distortion.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/distortion_wrap.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/docstrings.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/isnan.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/pipeline.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/pyutil.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/sip.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/sip_wrap.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/str_list_proxy.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/unit_list_proxy.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/util.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/wcsconfig.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/wcslib_tabprm_wrap.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/wcslib_units_wrap.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/wcslib_wrap.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs/wcslib_wtbarr_wrap.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/astropy_wcs_api.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/include/wcsconfig.h
python3-python-astropy-0.3-1.fc21/astropy/wcs/setup_package.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/astropy_wcs.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/astropy_wcs_api.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/distortion.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/distortion_wrap.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/docstrings.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/pipeline.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/pyutil.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/sip.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/sip_wrap.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/str_list_proxy.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/unit_list_proxy.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/util.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/wcslib_tabprm_wrap.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/wcslib_units_wrap.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/wcslib_wrap.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/src/wcslib_wtbarr_wrap.c
python3-python-astropy-0.3-1.fc21/astropy/wcs/tests/__init__.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/tests/test_pickle.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/tests/test_profiling.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/tests/test_wcs.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/tests/test_wcsprm.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/wcs.py
python3-python-astropy-0.3-1.fc21/astropy/wcs/wcslint.py
python3-python-astropy-0.3-1.fc21/cextern/trim_wcslib.sh
python3-python-astropy-0.3-1.fc21/docs/conf.py
python3-python-astropy-0.3-1.fc21/docs/coordinates/sgr-example.py
python3-python-astropy-0.3-1.fc21/docs/development/workflow/git_links.inc
python3-python-astropy-0.3-1.fc21/docs/development/workflow/known_projects.inc
python3-python-astropy-0.3-1.fc21/docs/development/workflow/links.inc
python3-python-astropy-0.3-1.fc21/docs/development/workflow/this_project.inc
python3-python-astropy-0.3-1.fc21/docs/wcs/examples/from_file.py
python3-python-astropy-0.3-1.fc21/docs/wcs/examples/programmatic.py
python3-python-astropy-0.3-1.fc21/ez_setup.py
python3-python-astropy-0.3-1.fc21/setup.py
python3-python-astropy-0.3-1.fc21/setuptools_bootstrap.py

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     astropy-doc , python3-astropy , python3-astropy-doc , python3-astropy-
     devel , astropy-tools
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: python-astropy-0.3-1.fc21.i686.rpm
          python-astropy-doc-0.3-1.fc21.noarch.rpm
          python-astropy-devel-0.3-1.fc21.i686.rpm
          python3-astropy-0.3-1.fc21.i686.rpm
          python3-astropy-doc-0.3-1.fc21.noarch.rpm
          python3-astropy-devel-0.3-1.fc21.i686.rpm
          astropy-tools-0.3-1.fc21.noarch.rpm
          python-astropy-0.3-1.fc21.src.rpm
python-astropy.i686: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.i686: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.i686: E: zero-length /usr/lib/python2.7/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python-astropy-devel.i686: W: no-documentation
python3-astropy.i686: W: spelling-error %description -l en_US asciitable -> ascertainable
python3-astropy.i686: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python3-astropy.i686: E: zero-length /usr/lib/python3.3/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python3-astropy-devel.i686: W: no-documentation
astropy-tools.noarch: W: no-documentation
astropy-tools.noarch: W: no-manual-page-for-binary volint
astropy-tools.noarch: W: no-manual-page-for-binary wcslint
python-astropy.src: W: spelling-error %description -l en_US vo -> co, vi, v
python-astropy.src: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.src: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.src:165: W: macro-in-comment %{__python3}
8 packages and 0 specfiles checked; 2 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-astropy python3-astropy python3-astropy-doc python-astropy-doc astropy-too 
ls python3-astropy-devel python-astropy-devel
python-astropy.i686: W: spelling-error %description -l en_US asciitable -> ascertainable
python-astropy.i686: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python-astropy.i686: E: zero-length /usr/lib/python2.7/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
python3-astropy.i686: W: spelling-error %description -l en_US asciitable -> ascertainable
python3-astropy.i686: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
python3-astropy.i686: E: zero-length /usr/lib/python3.3/site-packages/astropy/utils/tests/data/test_package/data/foo.txt
astropy-tools.noarch: W: no-documentation
astropy-tools.noarch: W: no-manual-page-for-binary volint
astropy-tools.noarch: W: no-manual-page-for-binary wcslint
python3-astropy-devel.i686: W: no-documentation
python-astropy-devel.i686: W: no-documentation
7 packages and 0 specfiles checked; 2 errors, 9 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-astropy (rpmlib, GLIBC filtered):
    /usr/bin/xmllint
    h5py
    libc.so.6
    libcfitsio.so.2
    liberfa.so.1
    libexpat.so.1
    libm.so.6
    libpthread.so.0
    libpython2.7.so.1.0
    libwcs.so.4
    numpy
    pytest
    python(abi)
    python-configobj
    python-six
    rtld(GNU_HASH)
    scipy

python3-astropy (rpmlib, GLIBC filtered):
    /usr/bin/xmllint
    libc.so.6
    libcfitsio.so.2
    liberfa.so.1
    libexpat.so.1
    libm.so.6
    libpthread.so.0
    libpython3.3m.so.1.0
    libwcs.so.4
    python(abi)
    python3-configobj
    python3-h5py
    python3-numpy
    python3-pytest
    python3-scipy
    rtld(GNU_HASH)

python3-astropy-doc (rpmlib, GLIBC filtered):

python-astropy-doc (rpmlib, GLIBC filtered):

astropy-tools (rpmlib, GLIBC filtered):
    /usr/bin/python
    python-astropy

python3-astropy-devel (rpmlib, GLIBC filtered):
    python3-astropy(x86-32)

python-astropy-devel (rpmlib, GLIBC filtered):
    python-astropy(x86-32)



Provides
--------
python-astropy:
    python-astropy
    python-astropy(x86-32)

python3-astropy:
    python3-astropy
    python3-astropy(x86-32)

python3-astropy-doc:
    python3-astropy-doc

python-astropy-doc:
    python-astropy-doc

astropy-tools:
    astropy-tools

python3-astropy-devel:
    python3-astropy-devel
    python3-astropy-devel(x86-32)

python-astropy-devel:
    python-astropy-devel
    python-astropy-devel(x86-32)



Unversioned so-files
--------------------
python-astropy: /usr/lib/python2.7/site-packages/astropy/convolution/boundary_extend.so
python-astropy: /usr/lib/python2.7/site-packages/astropy/convolution/boundary_fill.so
python-astropy: /usr/lib/python2.7/site-packages/astropy/convolution/boundary_none.so
python-astropy: /usr/lib/python2.7/site-packages/astropy/convolution/boundary_wrap.so
python-astropy: /usr/lib/python2.7/site-packages/astropy/io/fits/compression.so
python-astropy: /usr/lib/python2.7/site-packages/astropy/io/votable/tablewriter.so
python-astropy: /usr/lib/python2.7/site-packages/astropy/table/_np_utils.so
python-astropy: /usr/lib/python2.7/site-packages/astropy/time/erfa_time.so
python-astropy: /usr/lib/python2.7/site-packages/astropy/utils/_compiler.so
python-astropy: /usr/lib/python2.7/site-packages/astropy/utils/xml/_iterparser.so
python-astropy: /usr/lib/python2.7/site-packages/astropy/wcs/_wcs.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/convolution/boundary_extend.cpython-33m.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/convolution/boundary_fill.cpython-33m.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/convolution/boundary_none.cpython-33m.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/convolution/boundary_wrap.cpython-33m.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/io/fits/compression.cpython-33m.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/io/votable/tablewriter.cpython-33m.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/table/_np_utils.cpython-33m.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/time/erfa_time.cpython-33m.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/utils/_compiler.cpython-33m.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/utils/xml/_iterparser.cpython-33m.so
python3-astropy: /usr/lib/python3.3/site-packages/astropy/wcs/_wcs.cpython-33m.so

Source checksums
----------------
http://pypi.python.org/packages/source/a/astropy/astropy-0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 6c827ed074c1bc83fb0c8909f3c1293531e84a7920c9418747b75c676f60f2d6
  CHECKSUM(SHA256) upstream package : 6c827ed074c1bc83fb0c8909f3c1293531e84a7920c9418747b75c676f60f2d6


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn python-astropy-0.3-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: BATCH, EPEL5, EXARCH, DISTTAG

-------------------------

1. Please use %{__python2}/%{python2_sitearch} macro.

2. for i in %{buildroot}/usr/bin/*; do 
 sed -i '1s|^#!/usr/bin/python3|#!/usr/bin/python|' $i
done

--> Patch it to %{__python2}.

3. Local build successfully, but failed at Koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6383060
Comment 33 Sergio Pascual 2014-01-10 09:35:31 EST
(In reply to Christopher Meng from comment #32)

> 
> 1. Please use %{__python2}/%{python2_sitearch} macro.
> 
> 2. for i in %{buildroot}/usr/bin/*; do 
>  sed -i '1s|^#!/usr/bin/python3|#!/usr/bin/python|' $i
> done
> 
> --> Patch it to %{__python2}.

Done

> 
> 3. Local build successfully, but failed at Koji:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6383060

This is a problem with wcslib 4.20. 

I updated it a few days ago in Rawhide from wcslib 4.19. The output of one test is slightly different in both versions. I have reported the problem to astropy upstream. They will know if it is a problem with wcslib or with astropy

https://github.com/astropy/astropy/issues/1955

In the mean time, I have patched the code so that the problematic test passes.

Spec URL: http://guaix.fis.ucm.es/~spr/fedora/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/fedora/python-astropy-0.3-3.fc20.src.rpm

Koji build in Rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=6384105
Comment 34 Christopher Meng 2014-01-10 09:37:51 EST
Weird again, your scratch build failed as well:

BuildError: mismatch when analyzing python-astropy-doc-0.3-3.fc21.noarch.rpm, rpmdiff output was:
added       /usr/share/doc/python-astropy-doc/html/_images/graphviz-5082295f8098ba43ec9d823e2a0d24078537955b.png
added       /usr/share/doc/python-astropy-doc/html/_images/graphviz-5082295f8098ba43ec9d823e2a0d24078537955b.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/graphviz-9bb7d119428221cde6b76c3ff84432babc499a6c.png
removed     /usr/share/doc/python-astropy-doc/html/_images/graphviz-9bb7d119428221cde6b76c3ff84432babc499a6c.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-0084c811e6487b71b6df8fb369cf8ddfcb4cb6a9.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-0084c811e6487b71b6df8fb369cf8ddfcb4cb6a9.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-0560420ad5aff03ce0abb516572c45f8ba82c913.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-0560420ad5aff03ce0abb516572c45f8ba82c913.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-0d5e58335e132bb9d517d8c6001d32cf666ad93b.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-0d5e58335e132bb9d517d8c6001d32cf666ad93b.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-0f4093d8e567c793590a52a9085e4a13899184bc.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-0f4093d8e567c793590a52a9085e4a13899184bc.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-15ff260df4931cec319a37d6d17e23b220d94b8e.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-15ff260df4931cec319a37d6d17e23b220d94b8e.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-21e6abfeb9295d21d9c2fe31ce25c41aa5a1f7c0.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-21e6abfeb9295d21d9c2fe31ce25c41aa5a1f7c0.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-2e52132ebc4b8b8348d0fe93e144285d686faa8e.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-2e52132ebc4b8b8348d0fe93e144285d686faa8e.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-30f5ce0cf181ed435ef0a2d86c4d56e72526fb92.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-30f5ce0cf181ed435ef0a2d86c4d56e72526fb92.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-3d3097cbca3b1a9b62f8d863e62a775ed6b308ce.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-3d3097cbca3b1a9b62f8d863e62a775ed6b308ce.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-4118f4a97736287ce007efc489c5b64063979199.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-4118f4a97736287ce007efc489c5b64063979199.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-577c19aad8073659e085f8a395b068aeb7009b1d.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-577c19aad8073659e085f8a395b068aeb7009b1d.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-602d4524d4592bf55f4ec48552813436c5497ac5.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-602d4524d4592bf55f4ec48552813436c5497ac5.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-6567d2e29a3dd24f0b1de3f780a2f089eff36d4d.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-6567d2e29a3dd24f0b1de3f780a2f089eff36d4d.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-65f549c7ebb64a98a8fd9faaad20f479035aec94.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-65f549c7ebb64a98a8fd9faaad20f479035aec94.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-6911b52053a40e2b65530cd386903c509a2ba95c.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-6911b52053a40e2b65530cd386903c509a2ba95c.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-73d79dbe92a82ba9eb62f31912ee708b5611e0f0.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-73d79dbe92a82ba9eb62f31912ee708b5611e0f0.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-79f62001f20cc7ad784af292d4cb7f76f77c7af3.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-79f62001f20cc7ad784af292d4cb7f76f77c7af3.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-79f9455dbc78767234194b697fd9489af6455b47.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-79f9455dbc78767234194b697fd9489af6455b47.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-7f674ab2be35051fbd2ef2bc9fe45f4d9027fa1e.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-7f674ab2be35051fbd2ef2bc9fe45f4d9027fa1e.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-838f78c12dd62242f2f08aedb5e5a875e601ee19.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-838f78c12dd62242f2f08aedb5e5a875e601ee19.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-86fae73d6fcb5325a54c96d0804bdce22a968f03.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-86fae73d6fcb5325a54c96d0804bdce22a968f03.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-8daa22a834be9dcc20013a2fea694a4b9030caba.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-8daa22a834be9dcc20013a2fea694a4b9030caba.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-94ebb08aba0a38248c8116ae9fb551d406c3a44e.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-94ebb08aba0a38248c8116ae9fb551d406c3a44e.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-9aad020aaff9d9181924520f191e355b79a758e7.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-9aad020aaff9d9181924520f191e355b79a758e7.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-a1815446a677de48473861058e38259fb42fae31.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-a1815446a677de48473861058e38259fb42fae31.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-a39dcf8235098770888eff623891993e71bfc016.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-a39dcf8235098770888eff623891993e71bfc016.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-ad90a61b74edf995d61350cd9d238ad2d41ac3b6.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-ad90a61b74edf995d61350cd9d238ad2d41ac3b6.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-b5eac1797f6f69d1b4374eec9c14440216072424.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-b5eac1797f6f69d1b4374eec9c14440216072424.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-c9ec7d568c66a2607c880a57b91e85e75d09e154.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-c9ec7d568c66a2607c880a57b91e85e75d09e154.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-ce682d5424d5de9d91deb7b86288898bfb133f6c.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-ce682d5424d5de9d91deb7b86288898bfb133f6c.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-dc52cf10e2fcdc92afd1d3c64de16a065d055154.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-dc52cf10e2fcdc92afd1d3c64de16a065d055154.png.map
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-e63b8f573f086420e4529c5b527741c21db181c1.png
added       /usr/share/doc/python-astropy-doc/html/_images/inheritance-e63b8f573f086420e4529c5b527741c21db181c1.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-e86c0d92827ac0fab886bbfcbccc1a9f245e62a7.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-e86c0d92827ac0fab886bbfcbccc1a9f245e62a7.png.map
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-feec95b9bce3374b490a2c701571b8de33c35237.png
removed     /usr/share/doc/python-astropy-doc/html/_images/inheritance-feec95b9bce3374b490a2c701571b8de33c35237.png.map
Comment 35 Sergio Pascual 2014-01-10 09:41:58 EST
Ups, sorry, I missed the fail, I only saw the green status of the builds.

Let me see...
Comment 36 Sergio Pascual 2014-01-10 10:14:15 EST
So the problem is that -doc are noarch packages
but there are files whose name is a hash generated perhaps with the date, 

such as 

/usr/share/doc/python-astropy-doc/html/_images/graphviz-aeb253d26866d13006a0901b5b5003218c954eea.png

and the name is different depending on the build (i686, x86_64, etc)

For the moment I'm going to convert the doc subpackages to arched ones, unless we find a better solution

Spec URL: http://guaix.fis.ucm.es/~spr/fedora/python-astropy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/fedora/python-astropy-0.3-4.fc20.src.rpm
Comment 37 Sergio Pascual 2014-01-10 10:15:29 EST
Ongoing koji build

http://koji.fedoraproject.org/koji/taskinfo?taskID=6384917
Comment 38 Sergio Pascual 2014-01-15 05:38:46 EST
The build in koji was successful.
Comment 39 Christopher Meng 2014-01-15 22:05:41 EST
PACKAGE APPROVED.
Comment 40 Sergio Pascual 2014-01-16 04:17:58 EST
New Package SCM Request
=======================
Package Name: python-astropy
Short Description: A Community Python Library for Astronomy
Owners: sergiopr
Branches: f20
InitialCC:
Comment 41 Gwyn Ciesla 2014-01-16 07:46:39 EST
Git done (by process-git-requests).
Comment 42 Christopher Meng 2014-03-13 00:56:10 EDT
Oh!

I just remembered that doxygen has multilib issue, you should patch the package like:

-HTML_TIMESTAMP         = YES
+HTML_TIMESTAMP         = NO

Note You need to log in before you can comment on or make changes to this bug.